Bug 1420427 - java exception visible in Events when upgrade check is done on recently fenced host
Summary: java exception visible in Events when upgrade check is done on recently fence...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm-jsonrpc-java
Classification: oVirt
Component: Core
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ovirt-4.1.2
: 1.3.11
Assignee: Ravi Nori
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1446159
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 15:43 UTC by Jiri Belka
Modified: 2017-05-23 08:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:13:25 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
mgoldboi: planning_ack+
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73379 master ABANDONED engine: java exception visible in Events 2017-03-07 20:17:35 UTC
oVirt gerrit 73701 master MERGED java exception visible in Events when upgrade check is done on recently fenced host 2017-03-24 13:51:24 UTC
oVirt gerrit 74962 ovirt-4.1 MERGED java exception visible in Events when upgrade check is done on recently fenced host 2017-03-31 10:08:21 UTC

Description Jiri Belka 2017-02-08 15:43:50 UTC
Description of problem:

java exception visible in Events when upgrade check is done on recently fenced host, imo we don't want to see such events.

~~~
$ zcat /tmp/engine.log.gz | grep 'AuditLogDirector.*Custom Event ID: .*Message:' | sed -n '/16:17:14/,$p' | grep java.rmi
2017-02-08 16:18:03,648+01 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler3) [4854c384] EVENT_ID: VDS_BROKER_COMMAND_FAILURE(10,802), Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: VDSM dell-r210ii-04 command SpmStatusVDS failed: Connection issue java.rmi.ConnectException: Connection timeout
2017-02-08 16:18:49,667+01 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler6) [4854c384] EVENT_ID: VDS_BROKER_COMMAND_FAILURE(10,802), Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: VDSM dell-r210ii-04 command SpmStatusVDS failed: Connection issue java.rmi.ConnectException: Connection timeout
2017-02-08 16:25:26,922+01 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler8) [c006cbe5-28af-4ace-bd0f-df078061e72b] EVENT_ID: VDS_BROKER_COMMAND_FAILURE(10,802), Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: VDSM dell-r210ii-04 command SpmStatusVDS failed: Connection issue java.rmi.ConnectException: Connection timeout
~~~


Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0.4-0.1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. fence (power off) Up host
2. immediately check host's upgrade
3.

Actual results:
between events there are ones with 'java.rmi.ConnectException: Connection timeout'

Expected results:
just human readable events

Additional info:

Comment 2 Martin Perina 2017-03-24 09:05:05 UTC
Moving to vdsm-jsonrpc-java as it need to be fixed there.

Comment 3 Petr Matyáš 2017-05-15 14:50:51 UTC
Verified on 4.1.2-2


Note You need to log in before you can comment on or make changes to this bug.